Jahia Dev Forum > Build from sources...

0 (0 Good)
0 (0 Bad)

Build from sources : GWT compilation failure

by  sdenef »  2011/06/07 20:33

Hello,

I try to compile Jahia from sources. I followed instructions in :
* README file
* http://www.jahia.org/cms/lang/en/home/j ... uild_Jahia
* http://www.jahia.org/cms/home/jahiapedi ... _For_Jahia

When I launch quot;mvn install jahia:configure
  • Build from sources : GWT compilation failure
    2011/06/07 20:33

    sdenef Hello,<br/><br/>I try to compile Jahia from sources. I followed instructions in :<br/>* README file<br/>* <!-- m --><a class="postlink" href="http://www.jahia.org/cms/lang/en/home/jahiapedia/Template_Developer_Guide/Build_Jahia">http://www.jahia.org/cms/lang/en/home/j ... uild_Jahia</a><!-- m --><br/>* <!-- m --><a class="postlink" href="http://www.jahia.org/cms/home/jahiapedia/Template_Developer_Guide/Using_Eclipse_For_Jahia">http://www.jahia.org/cms/home/jahiapedi ... _For_Jahia</a><!-- m --><br/><br/>When I launch quot;mvn install jahia:configure

  • Number of messages  30
    Registration date Jun 7, 2011
    0 (0 Good)
    0 (0 Bad)

    Re: Build from sources : GWT compilation failure

    by  pap@commaro.com »  2011/06/07 20:33

    Hello,

    which JDK 1.5 version are you exactly using ? There seem to be bugs reported due to some compiling issues in Sun's Bug database. I just tried with 1.5.0_16 without getting the error.

    Regards,
    Benjamin

    Benjamin Papez (pap@commaro.com)

    Number of messages  220
    Registration date
    0 (0 Good)
    0 (0 Bad)

    Re: Build from sources : GWT compilation failure

    by  sdenef »  2011/06/07 20:33

    Hi Benjamin,

    I used JDK 1.5.0_06-b05
    I can't update this JDK easily, neither use an other JDK 1.5
    But I can use JDK 1.6.0-b105
    I tried and it seems OK for GWT (I have an error in building Jahia EAR and I will investigate).

    It's good for me. But can you confirm to me it's ok for Jahia ?
    (the README file said that quot;JDK 1.6 is not yet supported for compilation
  • Re: Build from sources : GWT compilation failure
    2011/06/07 20:33

    sdenef Hi Benjamin,<br/><br/>I used JDK 1.5.0_06-b05<br/>I can't update this JDK easily, neither use an other JDK 1.5<br/>But I can use JDK 1.6.0-b105<br/>I tried and it seems OK for GWT (I have an error in building Jahia EAR and I will investigate).<br/><br/>It's good for me. But can you confirm to me it's ok for Jahia ?<br/>(the README file said that quot;JDK 1.6 is not yet supported for compilation

  • Number of messages  30
    Registration date Jun 7, 2011
    0 (0 Good)
    0 (0 Bad)

    Re: Build from sources : GWT compilation failure

    by  pap@commaro.com »  2011/06/07 20:33

    Hello,

    yes JDK 1.6 can already be used for compilation, so the limitation mentioned in the README is no longer true.

    I have the same problem with notifications on this forum. Will ask somebody to have a look at it.

    Regards,
    Benjamin

    Benjamin Papez (pap@commaro.com)

    Number of messages  220
    Registration date
    0 (0 Good)
    0 (0 Bad)

    Re: Build from sources : GWT compilation failure

    by  sdenef »  2011/06/07 20:33

    [quote=quot;sdenef
  • Re: Build from sources : GWT compilation failure
    2011/06/07 20:33

    sdenef [quote=quot;sdenef

  • Number of messages  30
    Registration date Jun 7, 2011
    Contact
    Share
    Feedback

    Get in touch

    Whether you are a current user or if you are just evaluating Jahia, we are here to help.

    Contact us

    Share this page